using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business
{
    class OPRegCancelProcess : AbstractProcess
    {
        public override CallResult Process(JObject input)
        {
            //取消中心登记
            if (cBus.cancleRegister(TradeEnum.OutpatientRegistionCancel, out outParam) != 0)
            {
                return Error(-1, "中心取消登记失败，");
            }
            //取消医保平台登记
            if (mIS.cancleRegister(3, out outParam) != 0)
            {
                return Error(-1, "中心取消登记成功，但云医保平台取消失败");
            }

            return Success();
        }
    }
}
